{% load static %}
{% load auth_extras %}
<!DOCTYPE html>
<html>
<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="{% static 'tasks/main.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
  
    <title>FacePay</title>
   
</head>
<body>
    <header class="site-header">
      <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
        <div class="container">
          {% if user.is_authenticated %}
              {% if user|has_group:"Businesses" %}
                  <img class="rounded-circle article-img" src="{{ request.user.business.pp.url }}" id="img">
              {% else %}
                  <img class="rounded-circle article-img" src="{{ request.user.customer.image.url }}" id="img">
              {% endif %}
              
              <a class="navbar-brand mr-4" href="{% url 'home' %}">{{user}}</a>
          {% else %}
              <a class="navbar-brand mr-4" href="{% url 'home' %}">FacePay</a>
          {% endif %}
          
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarToggle">
            <div class="navbar-nav mr-auto">
             {% if user.is_authenticated %}
                {% if user|has_group:"Businesses" %}
                  <a class="nav-item nav-link" href="{% url 'payments-history' %}">Payment History</a>
                  <a class="nav-item nav-link" href="{% url 'product-list' %}">Products</a>
                  <a class="nav-item nav-link" >Analytics</a>
                {% else %}
                  <a class="nav-item nav-link" href="{% url 'payments-history' %}">Payment History</a>
                {% endif %}   
              {% else %}
                <a class="nav-item nav-link" >Home</a>
                <a class="nav-item nav-link" >About</a>
              {% endif %}
            </div>
            <!-- Navbar Right Side -->
            <div class="navbar-nav">
              {% if user.is_authenticated %}
                {% if user|has_group:"Businesses"%}
                  <a class="nav-item nav-link" href="{% url 'business-update' %}">Business profile</a> 
                  <a class="nav-item nav-link" href="{% url 'change-password' %}">Change password</a>
                  <a class="nav-item nav-link" href="{% url 'business-delete' %}">Delete FacePay</a>              
                {% else %}
                  <a class="nav-item nav-link" href="{% url 'customer-update' %}">My profile</a>
                  <a class="nav-item nav-link" href="{% url 'change-password' %}">Change password</a>
                  <a class="nav-item nav-link" href="{% url 'customer-delete' %}">Delete FacePay</a>
                {% endif %}
                  
                  <a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>
              {% else %}
                <a class="nav-item nav-link" href="{% url 'login' %}">Login</a>
                <a class="nav-item nav-link" href="{% url 'customer-new' %}">Create customer account</a>
                <a class="nav-item nav-link" href="{% url 'business-new' %}">Create business account</a>
              {% endif %}
            </div>
          </div>
        </div>
      </nav>
    </header>
    <main role="main" class="container">
      <div class="col-md-8">
          {% if messages %}
            {% for message in messages %}
              {% if message|has_error %}
                <div class="error-msg">
                  {{ message }}
                </div>
              {% else %}
                <div class="alert alert-{{ message.tags }}">
                  {{ message }}
                </div>
              {% endif %}
              
            {% endfor %}
          {% endif %}
          {% block content %}{% endblock %}
        </div>
    </main>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>
